<!--
Copyright (C) 2020,2021  CismonX <admin@cismon.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty, provided the copyright notice and
this notice are preserved. This file is offered as-is, without any warranty.
-->

# README

[![GitHub Actions](https://github.com/CismonX/ctlseqs/workflows/build/badge.svg)](https://github.com/CismonX/ctlseqs/actions)
[![LICENSE](https://img.shields.io/badge/license-GPL--3.0--or--later-blue.svg)](COPYING)

ctlseqs - helper library for terminal control sequences

## About

The ctlseqs library provides C API for manipulating terminal emulators with control sequences.

ctlseqs is free software. you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

## Getting Started

To install and use the library, see [INSTALL.md](INSTALL.md) for details.

For documentation, see the [**ctlseqs**(7)](man/ctlseqs.7) man page, and also [*XTerm Control Sequences*](https://invisible-island.net/xterm/ctlseqs/ctlseqs.html) if you're unfamiliar with them.

Some [examples](examples) are provided to demonstrate the basic usage of this library.
